Create a rental reservation (pending)
POST
/api/public/{slug}/rental-reservations
const url = 'https://example.com/api/public/example/rental-reservations';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"itemId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","startDate":"example","endDate":"example","quantity":1,"customerName":"example","customerEmail":"hello@example.com","customerPhone":"example","deliveryRequested":true,"deliveryAddress":"example","notes":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/public/example/rental-reservations \ --header 'Content-Type: application/json' \ --data '{ "itemId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "startDate": "example", "endDate": "example", "quantity": 1, "customerName": "example", "customerEmail": "hello@example.com", "customerPhone": "example", "deliveryRequested": true, "deliveryAddress": "example", "notes": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”slug
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
itemId
required
string format: uuid
startDate
required
string
endDate
required
string
quantity
integer
customerName
required
string
customerEmail
required
string format: email
customerPhone
string
deliveryRequested
boolean
deliveryAddress
string
notes
string
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
data
required
object
reservationId
required
string format: uuid
totalCents
required
integer
depositCents
required
integer
Examplegenerated
{ "data": { "reservationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "totalCents": 1, "depositCents": 1 }}